Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001656TestLinkUser Interface Generalpublic2008-08-03 23:162008-11-07 19:45
Reportershm2bk 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 2 
Fixed in Version1.8 Beta 3 
Summary0001656: EXTJS-Tree viewing is inside a small fix-sized frame = 300 x 250px
DescriptionWhen I use the EXTJS-Tree, the tree view is inside a very small window.
Its better to make the window higher(500px) and the width flexible(95%).
I hope there is no reason to make it like here:

Modification in file: testlink18beta2\gui\templates\testcases\tcTree.tpl

{if $tlCfg->treemenu_type == 'EXTJS'}
  <div id="tree" style="overflow:auto; height:500px;width:95%;border:1px solid #c3daf9;"></div>

I think its much more comfortable by this way.
I am very satisfied with the performance of the EXTJS-Tree. I checked it with more than 5000 real Testcases. With the DTREE I couldn't handle these 5000 TCs. Now with the new EXTJS there are no performance problems and no error messages.
 
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox 3.0
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0001581closedfman navigation tree is not stretched 

-  Notes
(0003880)
fman (administrator)
2008-08-05 00:14

Good.
I will apply your change
thaks
(0003898)
fman (administrator)
2008-08-05 14:19

Commited:
<div id="tree" style="overflow:auto; height:400px;border:1px solid #c3daf9;"></div>

- Issue History
Date Modified Username Field Change
2008-08-03 23:16 shm2bk New Issue
2008-08-03 23:16 shm2bk Browser => firefox 3.0
2008-08-03 23:16 shm2bk PHP Version => 5.2.6
2008-08-05 00:14 fman Note Added: 0003880
2008-08-05 00:15 fman Status new => assigned
2008-08-05 00:15 fman Assigned To => fman
2008-08-05 14:19 fman Note Added: 0003898
2008-08-05 14:20 fman Status assigned => resolved
2008-08-05 14:20 fman Fixed in Version => next development 1.8 RC 1
2008-08-05 14:20 fman Resolution open => fixed
2008-08-07 19:23 fman Relationship added has duplicate 0001581
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker